org.apache.poi.poifs.crypt.dsig.facets

## Class XAdESXLSignatureFacet

- java.lang.Object
- - org.apache.poi.poifs.crypt.dsig.facets.SignatureFacet
  - - org.apache.poi.poifs.crypt.dsig.facets.XAdESXLSignatureFacet

- All Implemented Interfaces:
    SignatureConfig.SignatureConfigurable

      public class XAdESXLSignatureFacet
      extends SignatureFacet

  XAdES-X-L v1.4.1 signature facet. This signature facet implementation will upgrade a given XAdES-BES/EPES signature to XAdES-X-L. We don't inherit from XAdESSignatureFacet as we also want to be able to use this facet out of the context of a signature creation. This signature facet assumes that the signature is already XAdES-BES/EPES compliant. This implementation has been tested against an implementation that participated multiple ETSI XAdES plugtests.
  Author:
    Frank Cornelis
  See Also:
    `XAdESSignatureFacet`

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.poifs.crypt.dsig.facets.SignatureFacet

      `MS_DIGSIG_NS, OO_DIGSIG_NS, signatureConfig, XADES_132_NS, XADES_141_NS, XML_DIGSIG_NS, XML_NS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XAdESXLSignatureFacet()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `getC14nValue(java.util.List<org.w3c.dom.Node> nodeList, java.lang.String c14nAlgoId)`
    `void` | `postSign(org.w3c.dom.Document document)` This method is being invoked by the XML signature service engine during the post-sign phase.

    - ### Methods inherited from class org.apache.poi.poifs.crypt.dsig.facets.SignatureFacet

      `getSignatureFactory, newReference, newReference, newTransform, newTransform, preSign, setSignatureConfig`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XAdESXLSignatureFacet

          public XAdESXLSignatureFacet()

  - ### Method Detail

    - #### postSign

          public void postSign(org.w3c.dom.Document document)
                        throws javax.xml.crypto.MarshalException

      Description copied from class: `SignatureFacet`
      This method is being invoked by the XML signature service engine during the post-sign phase. Via this method a signature facet can extend the XML signatures with for example key information.
      Overrides:
        `postSign` in class `SignatureFacet`
      Parameters:
        `document` - the signature document to be modified
      Throws:
        `javax.xml.crypto.MarshalException`

    - #### getC14nValue

          public static byte[] getC14nValue(java.util.List<org.w3c.dom.Node> nodeList,
                                            java.lang.String c14nAlgoId)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.